
Foreman - Bug #12118

AssociationAuthorizer should ask model for alternative permission names

10/08/2015 07:59 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Users, Roles and Permissions   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2803

  

Description

Current assumes some magic: a House model would always be "view_houses", but maybe you want a different permission name. 

Especially for plugins the code generates stuff like "view_foreman_salt/houses"

Related issues:

Has duplicate Foreman - Bug #11408: Plugin permissions are broken when using ... Duplicate 08/18/2015

Associated revisions

Revision b6b977aa - 10/12/2015 11:01 AM - Stephen Benjamin

fixes #12118 - query model for alternative permission names

Revision aee187b2 - 10/14/2015 07:50 AM - Stephen Benjamin

fixes #12118 - query model for alternative permission names

(cherry picked from commit b6b977aaa0ca4ee4ff7cc59de234f1cbba54c5f4)

History

#1 - 10/08/2015 08:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2803 added

- Pull request deleted ()

#2 - 10/12/2015 11:02 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 10/12/2015 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b6b977aaa0ca4ee4ff7cc59de234f1cbba54c5f4.

#4 - 10/14/2015 12:34 PM - Stephen Benjamin

- Has duplicate Bug #11408: Plugin permissions are broken when using multiple selects added
